> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List parts

> List all uploaded parts for a multipart upload



## OpenAPI

````yaml https://raw.githubusercontent.com/blaxel-ai/sandbox/refs/heads/main/sandbox-api/docs/openapi.yml get /filesystem-multipart/{uploadId}/parts
openapi: 3.0.0
info:
  contact: {}
  description: API for manipulating filesystem, processes and network.
  title: Sandbox API
  version: 0.0.1
servers:
  - url: https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run
    variables:
      sandbox_id:
        default: unknown
      workspace_id:
        default: unknown
      region:
        default: unknown
security:
  - BearerAuth: []
paths:
  /filesystem-multipart/{uploadId}/parts:
    get:
      tags:
        - filesystem
      summary: List parts
      description: List all uploaded parts for a multipart upload
      parameters:
        - description: Upload ID
          in: path
          name: uploadId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of parts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultipartListPartsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Upload not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    MultipartListPartsResponse:
      properties:
        parts:
          items:
            $ref: '#/components/schemas/filesystem.UploadedPart'
          type: array
        uploadId:
          example: 550e8400-e29b-41d4-a716-446655440000
          type: string
      type: object
    ErrorResponse:
      properties:
        error:
          example: Error message
          type: string
      required:
        - error
      type: object
    filesystem.UploadedPart:
      properties:
        etag:
          example: 5d41402abc4b2a76b9719d911017c592
          type: string
        partNumber:
          example: 1
          type: integer
        size:
          example: 5242880
          type: integer
        uploadedAt:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````